part of commons;

bool phoneValidation(String? value) {
  if (value == null) return false;
  const phoneRegex = r'^\d{11,15}$';
  return RegExp(phoneRegex).hasMatch(value);
}

bool passwordValidation(String? value) {
  return value != null && value.length >= 8;
}

bool textValidation(String? value, {int min = 0, int max = 500}) {
  return value != null &&
      value.trim().length >= min &&
      value.trim().length <= max;
}

bool emailValidation(String? value) {
  if (value == null || value.isEmpty) return false;
  const emailRegex =
      r'^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$';
  return RegExp(emailRegex).hasMatch(value);
}

bool nationalIdValidation(String? value) {
  return value != null && value.trim().length >= 14;
}

bool sameValidation(String? value, String? secondValue) {
  return value == secondValue;
}
